aboutsummaryrefslogtreecommitdiff
path: root/reproduce/software/shell
diff options
context:
space:
mode:
authorMohammad Akhlaghi <mohammad@akhlaghi.org>2020-09-09 12:58:18 +0100
committerMohammad Akhlaghi <mohammad@akhlaghi.org>2020-09-09 12:58:18 +0100
commit36003b3a5e9e4e10ef12279f6a46c2d6e4f9ec08 (patch)
treee4004ecfeda7cf1b39209e0b532367f01606439f /reproduce/software/shell
parent6ecb670f0a7b56e0aaffffda70925e93e51e6e9e (diff)
parent11b11e93fbdb29be69a936950438ed1cbea34a11 (diff)
Imported recent important fixes in Maneage, no conflicts
There weren't any conflicts in this merge.
Diffstat (limited to 'reproduce/software/shell')
-rwxr-xr-xreproduce/software/shell/configure.sh4
-rwxr-xr-xreproduce/software/shell/pre-make-build.sh10
2 files changed, 7 insertions, 7 deletions
diff --git a/reproduce/software/shell/configure.sh b/reproduce/software/shell/configure.sh
index 0d22dcc..d9a1b46 100755
--- a/reproduce/software/shell/configure.sh
+++ b/reproduce/software/shell/configure.sh
@@ -188,7 +188,7 @@ check_permission ()
free_space_warning()
{
fs_threshold=$1
- IFS='"' fs_destpath="$2"
+ fs_destpath="$2"
return $(df "$fs_destpath" \
| awk 'FNR==2 {if($4>'$fs_threshold') print 1; \
else print 0; }')
@@ -873,7 +873,7 @@ EOF
# manipulate file permissions in the directory's filesystem and if
# so, see if there is atleast 5GB free space.
if ! [ x"$bdir" = x ]; then
- if ! $(IFS='"' check_permission "$bdir"); then
+ if ! $(check_permission "$bdir"); then
# Unable to handle permissions well
bdir=
echo " ** File permissions can't be modified in this directory"
diff --git a/reproduce/software/shell/pre-make-build.sh b/reproduce/software/shell/pre-make-build.sh
index a18966f..4e7d6ad 100755
--- a/reproduce/software/shell/pre-make-build.sh
+++ b/reproduce/software/shell/pre-make-build.sh
@@ -30,11 +30,11 @@ set -e
-# Input arguments (the 'IFS's are to allow space in the name).
-IFS='"' bdir="$1"
-IFS='"' ddir="$2"
-IFS='"' downloader="$3"
-IFS='"' user_backup_urls="$4"
+# Input arguments.
+bdir="$1"
+ddir="$2"
+downloader="$3"
+user_backup_urls="$4"